import * as $dara from '@darabonba/typescript';
import { QueryGuidTaskListResponseBody } from "./QueryGuidTaskListResponseBody";
export declare class QueryGuidTaskListResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryGuidTaskListResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
